com.sun.jna.platform.win32.COM

## Class COMUtils.COMInfo

- java.lang.Object
- - com.sun.jna.platform.win32.COM.COMUtils.COMInfo

- Enclosing class:
    COMUtils

      public static class COMUtils.COMInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `clsid`
    `java.lang.String` | `inprocHandler32`
    `java.lang.String` | `inprocServer32`
    `java.lang.String` | `localServer32`
    `java.lang.String` | `progID`
    `java.lang.String` | `typeLib`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `COMUtils.COMInfo()`
    `COMUtils.COMInfo(java.lang.String clsid)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clsid

          public java.lang.String clsid

    - #### inprocHandler32

          public java.lang.String inprocHandler32

    - #### inprocServer32

          public java.lang.String inprocServer32

    - #### localServer32

          public java.lang.String localServer32

    - #### progID

          public java.lang.String progID

    - #### typeLib

          public java.lang.String typeLib

  - ### Constructor Detail

    - #### COMUtils.COMInfo

          public COMUtils.COMInfo()

    - #### COMUtils.COMInfo

          public COMUtils.COMInfo(java.lang.String clsid)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.